"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var wjcNav = require("wijmo/wijmo.nav");
// Angular
var core_1 = require("@angular/core");
var platform_browser_dynamic_1 = require("@angular/platform-browser-dynamic");
var platform_browser_1 = require("@angular/platform-browser");
var forms_1 = require("@angular/forms");
var wijmo_angular2_nav_1 = require("wijmo/wijmo.angular2.nav");
var AppTab_1 = require("./components/AppTab");
'use strict';
// The Explorer application root component.
var AppCmp = (function () {
    function AppCmp() {
        this.items = [];
        this.editableItems = [];
        this.isAnimated = true;
        this.autoCollapse = true;
        this.expandOnClick = true;
        this.useCustomCss = true;
        this.navItem = '';
        this.chkStatus = '';
        this._nwindService = 'http://services.odata.org/V4/Northwind/Northwind.svc';
        this.items = this._getItems();
        this.editableItems = JSON.parse(JSON.stringify(this.items));
    }
    AppCmp.prototype.ngAfterViewInit = function () {
    };
    // editing support
    AppCmp.prototype.nodeEditStarting = function (sender, e) {
        if (e.node.hasChildren) {
            e.cancel = true;
        }
        else if (e.node.dataItem.id != undefined) {
            e.node.element.children[1].style.display = "none";
            e.node.element.children[2].style.display = "none";
            var input1 = document.createElement("input");
            input1.value = e.node.dataItem.header;
            input1.ondblclick = function () {
                "return false";
            };
            e.node.element.appendChild(input1);
            var input2 = document.createElement("input");
            input2.value = e.node.dataItem.id;
            input2.ondblclick = function () {
                "return false";
            };
            e.node.element.appendChild(input2);
            this.isEditing = true;
        }
    };
    AppCmp.prototype.nodeEditEnding = function (sender, e) {
        if (e.node.dataItem.id != undefined) {
            if (!this.isEditing) {
                var element = e.node.element;
                var input1 = element.children[3];
                var input2 = element.children[4];
                e.node.dataItem.header = input1.value;
                e.node.dataItem.id = input2.value;
                element.children[1].style.display = "inline";
                element.children[2].style.display = "inline";
                element.children[2].innerHTML = input2.value;
                element.removeChild(input1);
                element.removeChild(input2);
            }
            else
                e.cancel = true;
        }
    };
    AppCmp.prototype.selectedItemChanged = function (sender, e) {
        if (this.isEditing) {
            this.isEditing = false;
            this.tvEdit.finishEditing(true);
        }
    };
    // custom item
    AppCmp.prototype.formatItem = function (treeView, e) {
        if (e.dataItem.id != undefined) {
            e.element.innerHTML += " <span class='wj-node-text' contenteditable='false' autocomplete='off' autocorrect='off' style=''>" + e.dataItem.id + "</span>";
        }
    };
    AppCmp.prototype._getItems = function () {
        return [
            {
                header: 'Electronics', img: 'resources/electronics.png', items: [
                    { header: 'Trimmers/Shavers' },
                    { header: 'Tablets' },
                    {
                        header: 'Phones', img: 'resources/phones.png', items: [
                            { header: 'Apple', id: "ID00001" },
                            { header: 'Motorola', id: "ID00002" },
                            { header: 'Nokia', id: "ID00003" },
                            { header: 'Samsung', id: "ID00004" }
                        ]
                    },
                    { header: 'Speakers', newItem: true },
                    { header: 'Monitors' }
                ]
            },
            {
                header: 'Toys', img: 'resources/toys.png', items: [
                    { header: 'Shopkins' },
                    { header: 'Train Sets' },
                    { header: 'Science Kit', newItem: true },
                    { header: 'Play-Doh' },
                    { header: 'Crayola' }
                ]
            },
            {
                header: 'Home', img: 'resources/home.png', items: [
                    { header: 'Coffeee Maker' },
                    { header: 'Breadmaker', newItem: true },
                    { header: 'Solar Panel', newItem: true },
                    { header: 'Work Table' },
                    { header: 'Propane Grill' }
                ]
            }
        ];
    };
    return AppCmp;
}());
__decorate([
    core_1.ViewChild('tvEdit'),
    __metadata("design:type", wjcNav.TreeView)
], AppCmp.prototype, "tvEdit", void 0);
AppCmp = __decorate([
    core_1.Component({
        selector: 'app-cmp',
        templateUrl: 'src/app.html'
    }),
    __metadata("design:paramtypes", [])
], AppCmp);
exports.AppCmp = AppCmp;
var AppModule = (function () {
    function AppModule() {
    }
    return AppModule;
}());
AppModule = __decorate([
    core_1.NgModule({
        imports: [wijmo_angular2_nav_1.WjNavModule, platform_browser_1.BrowserModule, AppTab_1.TabsModule, forms_1.FormsModule],
        declarations: [AppCmp],
        bootstrap: [AppCmp]
    })
], AppModule);
exports.AppModule = AppModule;
core_1.enableProdMode();
// Bootstrap application 
platform_browser_dynamic_1.platformBrowserDynamic().bootstrapModule(AppModule);
//# sourceMappingURL=app.js.map